Bug 223651 - camcontrol(8) is out of sync with actual command output
Summary: camcontrol(8) is out of sync with actual command output
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2017-11-13 14:22 UTC by Bertrand Petit
Modified: 2021-10-25 16:02 UTC (History)
6 users (show)

See Also:


Attachments
camcontrol(8) patch (1.23 KB, patch)
2021-10-01 15:22 UTC, Felix Johnson
felix.the.red: maintainer-approval? (felix.the.red)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bertrand Petit 2017-11-13 14:22:05 UTC
The output of "camcontrol tags" is out of sync with the fields descriptions made in the manual page.

camcontrol tags ada0 -v
(pass0:ata3:0:0:0): dev_openings  1
(pass0:ata3:0:0:0): dev_active    0
(pass0:ata3:0:0:0): allocated     0       <==
(pass0:ata3:0:0:0): queued        0       <==
(pass0:ata3:0:0:0): held          0
(pass0:ata3:0:0:0): mintags       2
(pass0:ata3:0:0:0): maxtags       32

The manual page lists those fields:
dev_openings
dev_active
devq_openings   <==
devq_queued     <==
held
mintags
maxtags

Arraws highlight discrepancies.
Comment 1 Felix Johnson freebsd_triage 2021-10-01 15:22:17 UTC
Created attachment 228326 [details]
camcontrol(8) patch

Patch camcontrol(8) to remove references to devq_openings and devq_queued; both symbols only exist in the camcontrol man page.

Document the allocated tag for camcontrol so the man page matches the output.
Comment 2 Piotr Pawel Stefaniak freebsd_committer 2021-10-03 20:57:00 UTC
The relevant change in code was committed as r271588 (959ec2581b23aefebb3bae26c527c1b25834a9e3) by mav@.
Comment 3 commit-hook freebsd_committer 2021-10-20 04:38:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=d4cf7dc0df289ad0e16b5b40b076311c71e663dc

commit d4cf7dc0df289ad0e16b5b40b076311c71e663dc
Author:     Felix Johnson <felix.the.red@gmail.com>
AuthorDate: 2021-10-20 04:32:54 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-10-20 04:32:54 +0000

    camcontrol(8): Clean up references to removed symbols

    Patch the manpage to remove references to devq_openings and devq_queued.
    Document the allocated tag that has been added in the same commit. The
    relevant code change was committed as r271588
    (959ec2581b23aefebb3bae26c527c1b25834a9e3) by mav@.

    PR:             223651
    MFH after:      3 days
    Reported by:    Bertrand Petit <bsdpr@phoe.frmug.org>

 sbin/camcontrol/camcontrol.8 | 16 +++-------------
 1 file changed, 3 insertions(+), 13 deletions(-)
Comment 4 commit-hook freebsd_committer 2021-10-25 15:59:21 UTC
A commit in branch stable/13 references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=dcb72294601aea71c41780d8ba2c4766136d72fc

commit dcb72294601aea71c41780d8ba2c4766136d72fc
Author:     Felix Johnson <felix.the.red@gmail.com>
AuthorDate: 2021-10-20 04:32:54 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-10-25 15:58:27 +0000

    camcontrol(8): Clean up references to removed symbols

    Patch the manpage to remove references to devq_openings and devq_queued.
    Document the allocated tag that has been added in the same commit. The
    relevant code change was committed as r271588
    (959ec2581b23aefebb3bae26c527c1b25834a9e3) by mav@.

    PR:             223651
    Reported by:    Bertrand Petit <bsdpr@phoe.frmug.org>

    (cherry picked from commit d4cf7dc0df289ad0e16b5b40b076311c71e663dc)

 sbin/camcontrol/camcontrol.8 | 16 +++-------------
 1 file changed, 3 insertions(+), 13 deletions(-)